Bug 63580 - New port: net/ng_daphne - A netgraph module for the creation of multihop ad hoc networks
New port: net/ng_daphne - A netgraph module for the creation of multihop ad h...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-01 10:00 UTC by gedimitr
Modified: 2004-05-25 10:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gedimitr 2004-03-01 10:00:35 UTC
	
This port constructs a netgraph module that allows the creation of multihop ad
hoc networks. It uses the GSR routing protocol based on link state with hardware
addresses, in order to give the impression to upper layers that every node is
within one hop.

Fix: 

--- shar.txt ends here -----okXJ6NVHZXpVouJPlolNCZ0LlNP1Qs7Kh8zIdU4QD8N4QQGV
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ng_daphne
#	ng_daphne/pkg-descr
#	ng_daphne/pkg-plist
#	ng_daphne/Makefile
#	ng_daphne/distinfo
#	ng_daphne/pkg-message
#
echo c - ng_daphne
mkdir -p ng_daphne > /dev/null 2>&1
echo x - ng_daphne/pkg-descr
sed 's/^X//' >ng_daphne/pkg-descr << 'END-of-ng_daphne/pkg-descr'
Xng_daphne is a FreeBSD netgraph kernel module which allows the easy
Xcreation of multihop ad hoc networks. ng_daphne employs the GSR
X(Global State Routing) algorithm with hardware addresses, in order to
Xgive the impression to upper layers that all network nodes are within
Xone hop from each other. 
X
X- Gerasimos Dimitriadis
Xgedimitr@auth.gr
END-of-ng_daphne/pkg-descr
echo x - ng_daphne/pkg-plist
sed 's/^X//' >ng_daphne/pkg-plist << 'END-of-ng_daphne/pkg-plist'
Xlib/ng_daphne.ko
Xshare/doc/ng_daphne/README
X@dirrm share/doc/ng_daphne
END-of-ng_daphne/pkg-plist
echo x - ng_daphne/Makefile
sed 's/^X//' >ng_daphne/Makefile << 'END-of-ng_daphne/Makefile'
X# New ports collection makefile for:	ng_daphne
X# Date created:		8 November 2003
X# Whom:			Gerasimos Dimitriadis
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ng_daphne
XPORTVERSION=	1.0
XCATEGORIES=	net
XMASTER_SITES=	http://newton.ee.auth.gr/ng_daphne/
X
XMAINTAINER=	gedimitr@auth.gr
XCOMMENT=	A simple netgraph module for multihop ad hoc networks
X
X.include <bsd.port.pre.mk>
X
X.if !exists(/usr/src/sys/netgraph/netgraph.h)
XBROKEN=		"Requires kernel source (/usr/src/sys) to build"
X.endif
X
X.if ${OSVERSION} < 500000
XBROKEN=		"Requires new netgraph architecture (ng_item) to build"
X.endif
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/ng_daphne.ko ${PREFIX}/lib
X	@${MKDIR} ${DOCSDIR}
X	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
X
Xpost-install:
X	@${SED} -e 's,%%PREFIX%%,${PREFIX},g' ${PKGMESSAGE}
X
X.include <bsd.port.post.mk>
X
END-of-ng_daphne/Makefile
echo x - ng_daphne/distinfo
sed 's/^X//' >ng_daphne/distinfo << 'END-of-ng_daphne/distinfo'
XMD5 (ng_daphne-1.0.tar.gz) = cc4d4332670d8f44d1df25f64588446f
END-of-ng_daphne/distinfo
echo x - ng_daphne/pkg-message
sed 's/^X//' >ng_daphne/pkg-message << 'END-of-ng_daphne/pkg-message'
X
XThe ng_daphne.ko module has been installed to %%PREFIX%%/lib. You may
Xwish to add this to your kern.module_path sysctl or copy it to
Xanother location.
X
END-of-ng_daphne/pkg-message
exit
Comment 1 vs freebsd_committer 2004-05-25 10:55:21 UTC
State Changed
From-To: open->closed

Port added, thanks!